Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.service
Class MethodDescriptionImpl

    java.lang.Object
      org.jboss.txbridge.ba.service.MethodDescriptionImpl

All Implemented Interfaces:
  MethodDescription

    public class MethodDescriptionImpl

extends java.lang.Object
implements MethodDescription

This class describes a single method with all information related to participation in Business Activities. TODO: Redesign this - it should be a simple map to hold all those values.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Field Summary
`private java.lang.Class` | `clazz`
`private DataMatch` | `dataMatch`
`private java.lang.Class` | `ejbInterface`
`private java.lang.String` | `endpointAddress`
`private ExecutionMode` | `executionMode`
`private boolean` | `isSingle`
`private java.lang.String` | `jndiName`
`private java.lang.String` | `methodName`
`private java.lang.Object[]` | `parameterAnnotations`
`private ParameterMatch` | `parameterMatch`
`private java.lang.Class[]` | `parameterTypes`
`private java.lang.String` | `providerURL`
`private java.lang.Object` | `returnId`
`private java.lang.Class` | `returnType`
`private java.lang.String` | `serviceName`
`private java.lang.String` | `targetNamespace`
`private java.lang.String` | `webMethodName`

Constructor Summary
`MethodDescriptionImpl()`

Method Summary
`java.lang.Class` | `getClazz()`
`DataMatch` | `getDataMatch()`
`java.lang.Class` | `getEjbInterface()`
`java.lang.String` | `getEndpointAddress()`
`ExecutionMode` | `getExecutionMode()`
`java.lang.String` | `getJndiName()`
`java.lang.String` | `getMethodName()`
`java.lang.Object[]` | `getParameterAnnotations()`
`ParameterMatch` | `getParameterMatch()`
`java.lang.Class[]` | `getParameterTypes()`
`java.lang.String` | `getProviderURL()`
`java.lang.Object` | `getReturnId()`
`java.lang.Class` | `getReturnType()`
`java.lang.String` | `getServiceName()`
`java.lang.String` | `getTargetNamespace()`
`java.lang.String` | `getWebMethodName()`
`boolean` | `isSingle()`
`void` | `setClazz(java.lang.Class clazz)`
`void` | `setDataMatch(DataMatch compensationType)`
`void` | `setEjbInterface(java.lang.Class ejbInterface)`
`void` | `setEndpointAddress(java.lang.String endpointAddress)`
`void` | `setExecutionMode(ExecutionMode compensationMode)`
`void` | `setJndiName(java.lang.String jndiName)`
`void` | `setMethodName(java.lang.String methodName)`
`void` | `setParameterAnnotations(java.lang.Object[] parameterAnnotations)`
`void` | `setParameterMatch(ParameterMatch parameterMatch)`
`void` | `setParameterTypes(java.lang.Class[] parameterTypes)`
`void` | `setProviderURL(java.lang.String providerURL)`
`void` | `setReturnId(java.lang.Object returnId)`
`void` | `setReturnType(java.lang.Class returnType)`
`void` | `setServiceName(java.lang.String serviceName)`
`void` | `setSingle(boolean value)`
`void` | `setTargetNamespace(java.lang.String targetNamespace)`
`void` | `setWebMethodName(java.lang.String webMethodName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    private java.lang.Class clazz

### ejbInterface

    private java.lang.Class ejbInterface

### methodName

    private java.lang.String methodName

### webMethodName

    private java.lang.String webMethodName

### parameterTypes

    private java.lang.Class[] parameterTypes

### parameterAnnotations

    private java.lang.Object[] parameterAnnotations

### returnId

    private java.lang.Object returnId

### returnType

    private java.lang.Class returnType

### isSingle

    private boolean isSingle

### dataMatch

    private DataMatch dataMatch

### executionMode

    private ExecutionMode executionMode

### parameterMatch

    private ParameterMatch parameterMatch

### jndiName

    private java.lang.String jndiName

### providerURL

    private java.lang.String providerURL

### endpointAddress

    private java.lang.String endpointAddress

### targetNamespace

    private java.lang.String targetNamespace

### serviceName

    private java.lang.String serviceName

Constructor Detail

### MethodDescriptionImpl

    public MethodDescriptionImpl()

Method Detail

### getClazz

    public java.lang.Class getClazz()

  Specified by:
    `getClazz` in interface `MethodDescription`

### setClazz

    public void setClazz(java.lang.Class clazz)

  Specified by:
    `setClazz` in interface `MethodDescription`

### getMethodName

    public java.lang.String getMethodName()

  Specified by:
    `getMethodName` in interface `MethodDescription`

### setMethodName

    public void setMethodName(java.lang.String methodName)

  Specified by:
    `setMethodName` in interface `MethodDescription`

### getWebMethodName

    public java.lang.String getWebMethodName()

  Specified by:
    `getWebMethodName` in interface `MethodDescription`

### setWebMethodName

    public void setWebMethodName(java.lang.String webMethodName)

  Specified by:
    `setWebMethodName` in interface `MethodDescription`

### getParameterTypes

    public java.lang.Class[] getParameterTypes()

  Specified by:
    `getParameterTypes` in interface `MethodDescription`

### setParameterTypes

    public void setParameterTypes(java.lang.Class[] parameterTypes)

  Specified by:
    `setParameterTypes` in interface `MethodDescription`

### getParameterAnnotations

    public java.lang.Object[] getParameterAnnotations()

  Specified by:
    `getParameterAnnotations` in interface `MethodDescription`

### setParameterAnnotations

    public void setParameterAnnotations(java.lang.Object[] parameterAnnotations)

  Specified by:
    `setParameterAnnotations` in interface `MethodDescription`

### getReturnId

    public java.lang.Object getReturnId()

  Specified by:
    `getReturnId` in interface `MethodDescription`

### setReturnId

    public void setReturnId(java.lang.Object returnId)

  Specified by:
    `setReturnId` in interface `MethodDescription`

### getReturnType

    public java.lang.Class getReturnType()

  Specified by:
    `getReturnType` in interface `MethodDescription`

### setReturnType

    public void setReturnType(java.lang.Class returnType)

  Specified by:
    `setReturnType` in interface `MethodDescription`

### getJndiName

    public java.lang.String getJndiName()

  Specified by:
    `getJndiName` in interface `MethodDescription`

### setJndiName

    public void setJndiName(java.lang.String jndiName)

  Specified by:
    `setJndiName` in interface `MethodDescription`

### getProviderURL

    public java.lang.String getProviderURL()

  Specified by:
    `getProviderURL` in interface `MethodDescription`

### setProviderURL

    public void setProviderURL(java.lang.String providerURL)

  Specified by:
    `setProviderURL` in interface `MethodDescription`

### isSingle

    public boolean isSingle()

  Specified by:
    `isSingle` in interface `MethodDescription`

### setSingle

    public void setSingle(boolean value)

  Specified by:
    `setSingle` in interface `MethodDescription`

### getDataMatch

    public DataMatch getDataMatch()

  Specified by:
    `getDataMatch` in interface `MethodDescription`

### setDataMatch

    public void setDataMatch(DataMatch compensationType)

  Specified by:
    `setDataMatch` in interface `MethodDescription`

### getExecutionMode

    public ExecutionMode getExecutionMode()

  Specified by:
    `getExecutionMode` in interface `MethodDescription`

### setExecutionMode

    public void setExecutionMode(ExecutionMode compensationMode)

  Specified by:
    `setExecutionMode` in interface `MethodDescription`

### getParameterMatch

    public ParameterMatch getParameterMatch()

  Specified by:
    `getParameterMatch` in interface `MethodDescription`

### setParameterMatch

    public void setParameterMatch(ParameterMatch parameterMatch)

  Specified by:
    `setParameterMatch` in interface `MethodDescription`

### getEjbInterface

    public java.lang.Class getEjbInterface()

  Specified by:
    `getEjbInterface` in interface `MethodDescription`

### setEjbInterface

    public void setEjbInterface(java.lang.Class ejbInterface)

  Specified by:
    `setEjbInterface` in interface `MethodDescription`

### getEndpointAddress

    public java.lang.String getEndpointAddress()

  Specified by:
    `getEndpointAddress` in interface `MethodDescription`

### setEndpointAddress

    public void setEndpointAddress(java.lang.String endpointAddress)

  Specified by:
    `setEndpointAddress` in interface `MethodDescription`

### getTargetNamespace

    public java.lang.String getTargetNamespace()

  Specified by:
    `getTargetNamespace` in interface `MethodDescription`

### setTargetNamespace

    public void setTargetNamespace(java.lang.String targetNamespace)

  Specified by:
    `setTargetNamespace` in interface `MethodDescription`

### getServiceName

    public java.lang.String getServiceName()

  Specified by:
    `getServiceName` in interface `MethodDescription`

### setServiceName

    public void setServiceName(java.lang.String serviceName)

  Specified by:
    `setServiceName` in interface `MethodDescription`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD